---
title: "Retrieve user sign-in history"
slug: "retrieve-user-sign-in-history"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/retrieve-user-sign-in-history"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve user sign-in history

Get/SearchSignInHistory

Allows you to search for user sign in dates and times.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "SignIn DESC" will be assumed. You can append "DESC" after the sort value to sort descending. For example, "SignIn DESC" would sort by sign-in time in descending order. Possible values: - SignIn - LastName - FirstName - UserName - Email

userIdinteger (int32) 

An optional parameter used to filter for sign-ins for a particular user.

Example57383
userExternalIdstring

An optional parameter used to filter for sign-ins for a particular user using an external identifier.

Example1G87491-37DE-DFG1-127A-565159915A6B
afterstring

An optional parameter used to filter for sign-ins that occured after a specified date. When used in conjunction with the "before" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

beforestring

An optional parameter used to filter for sign-ins that occured before a specified date. When used in conjunction with the "after" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='f61f0a53-c259-4ea0-a4f3-c880400c581b'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (SignInHistorySearchResult)   

See SignInHistorySearchResult.

object  UserIdinteger  (int32)    

The user's unique identifier

Example190615
UserExternalIdstring   | null  

The user's external ID, usually a unique identifier from the calling system

Example5A875994-33DE-DE11-92BB-00505690582E
FirstNamestring    

The user's first name

ExampleJohn
LastNamestring    

The user's last name

ExampleDoe
UserNamestring    

The user's UserName (used during sign-in)

Examplejohn.doe
Emailstring    

The user's e-mail address

Examplejohn.doe@sample.net
OrganizationIdinteger  (int32)    

The unique identifier of the organization the user belongs to

Example2471
SignIninteger  (int64)    

When the user sign-in occurred (in Unix epoch time)

Example1466117145
Methodstring    

The method that was used to authenticate the user with possible values of:

- Unknown
- Local Account
- Authentication Provider
- API

ExampleLocal Account
Providerstring   | null  

The name of the Authentication Provider when the "Method" field is "Authentication Provider".
